Package org.pushingpixels.lafwidget

# Class LafWidgetUtilities2

java.lang.Object
org.pushingpixels.lafwidget.LafWidgetUtilities2

public class LafWidgetUtilities2 extends Object
Various utility functions.

## Method Summary

Modifier and Type
Method
Description
`static PreviewPainter`
`getComponentPreviewPainter(Component comp)`
Returns the preview painter for the specified component.
`static PasswordStrengthChecker`
`getPasswordStrengthChecker(JPasswordField jpf)`
Returns the password strength checker for the specified password field.
`static TabPreviewPainter`
`getTabPreviewPainter(JTabbedPane tabbedPane)`
Returns the preview painter for the specified tabbed pane.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getTabPreviewPainter

public static TabPreviewPainter getTabPreviewPainter(JTabbedPane tabbedPane)
Returns the preview painter for the specified tabbed pane.

Parameters:
  `tabbedPane` - Tabbed pane.
Returns:
  Preview painter for the specified tabbed pane.

### getComponentPreviewPainter

public static PreviewPainter getComponentPreviewPainter(Component comp)
Returns the preview painter for the specified component.

Parameters:
  `comp` - Component.
Returns:
  Preview painter for the specified component.
Since:
  2.1

### getPasswordStrengthChecker

public static PasswordStrengthChecker getPasswordStrengthChecker(JPasswordField jpf)
Returns the password strength checker for the specified password field.

Parameters:
  `jpf` - Password field.
Returns:
  Password strength checker for the specified password field. The result can be `null`.